# Registry

Registry keeps track of the contracts currently being used in the Opium protocol.&#x20;

All its user-facing functions are read-only and can be used to fetch the addresses of the contracts currently in use in the Opium Protocol rather than hardcoding them.

### Contract functions description

**`changeOpiumAddress() external view returns (address)`**

It allows to change the address of the recipient of the settlement fees within the Opium Protocol. It can only be called by the current account being the recipient of the settlement fees.

**`getMinter() external view returns (address)`**

It returns the current `TokenMinter` address

**`getTokenSpender() external view returns (address)`**

It returns the current `TokenSpender` address

**`getOpiumAddress() external view returns (address)`**

It returns the account that is currently set to receive settlement fees in the Opium Protocol.

**`getCore() external view returns (address)`**

It returns the current `Core` address

**`getOracleAggregator() external view returns (address)`**

It returns the current `OracleAggregator` address

**`getSyntheticAggregator() external view returns (address)`**

It returns the current `SyntheticAggregator` address


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.opium.network/for-developers/protocol/registry.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
